﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;

namespace TestChart2d
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int i, nb = 1000, serie = 1;

        private void buttonSin_Click(object sender, EventArgs e)
        {
            nb = (int)numericUpDown1.Value;
            serie = chart2D1.curveCount + 1;

            for (i=1;i<nb;i++)
                chart2D1.setPoint(serie,i,10*Math.Sin(i/160.0*(serie+1)));
            chart2D1.startDrawing();
            chart2D1.autoScaling();
            
            //serie=chart2D1.curveCount+2;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (chart2D1.LastClearButton)
            {
                chart2D1.LastClearButton = false;
                chart2D1.AllClearButton = false;
            }
            else
            {
                chart2D1.LastClearButton = true;
                chart2D1.AllClearButton = true;
            }

        }

        private void chart2D1_CoordClick(object sender, ChartTool.CoordClickEventArgs e)
        {
            label1.Text = e.x.ToString();
            label2.Text = e.y.ToString();
        }

        private void butAScale1_Click(object sender, EventArgs e)
        {
            chart2D1.autoScaling();
            //chart2D1.YMax = -100;
        }

        private void butAScaleY2_Click(object sender, EventArgs e)
        {
            chart2D1.autoscaleY2();
        }

        private void buttonBode_Click(object sender, EventArgs e)
        {
            chart2D1.clearAll();
            double w = 0.1;
            double K = 2;
            double T = 1;
            for (int i = 0; i < nb; i++)
            {

                double f = 20.0 * Math.Log10(K / (Math.Sqrt(1 + w * T * w * T)));
                double phi = -180/Math.PI* Math.Atan(w * T);
                chart2D1.setPoint(0, w, f);
                chart2D1.setPoint(1, w, phi);
                w = w * 1.005;
            }
            chart2D1.XLOG = true;
            chart2D1.startDrawing();
            chart2D1.autoScaling();

 
        }
    }
}
