using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using defs;

namespace WindowsApplication1
{
    public partial class Form1CFX : Form
    {

        
        public Form1CFX()
        {
            InitializeComponent();
        }

        private void button1Test_Click(object sender, EventArgs e)
        {
            int i, nb = 12, serie = 1;
            axChartfx1.OpenDataEx(def.COD_VALUES, serie, nb);
            for (i = 0; i < nb; i++)
            {
                axChartfx1.set_Value((short)i, (i + 1) * serie*10);
            }
            axChartfx1.CloseData(def.COD_VALUES);
        }

        short serie = 1;
        private void buttonMulti_Click(object sender, EventArgs e)
        {
            short i, nb = 12;
            axChartfx1.OpenDataEx(def.COD_VALUES, serie, nb);
            axChartfx1.ThisSerie = (short)(serie-1);
            for (i = 0; i < nb; i++)
            {
                axChartfx1.set_Value(i, (i + 1) * serie*10);
            }
            axChartfx1.CloseData(def.COD_VALUES);
            serie++;
        }

        private void buttontoggleTB_Click(object sender, EventArgs e)
        {
            axChartfx1.Type = axChartfx1.Type ^ def.CT_TOOL;
        }

        private void buttonInit_Click(object sender, EventArgs e)
        {
            axChartfx1.Type = def.SCATTER;
            axChartfx1.Type = axChartfx1.Type | def.CT_SCATTERLINE;
            axChartfx1.Type = axChartfx1.Type | def.CT_COLORLINE;
            axChartfx1.Type = axChartfx1.Type | def.CT_TOOL;
            axChartfx1.CustTool = axChartfx1.CustTool | def.CST_SCATTER;
        }

        private void buttonColPat_Click(object sender, EventArgs e)
        {
            axChartfx1.Type = axChartfx1.Type ^ def.CT_PALETTE;
        }

        private void buttonScale_Click(object sender, EventArgs e)
        {
            axChartfx1.set_Adm(def.CSA_MIN, 0);
            axChartfx1.set_Adm(def.CSA_MAX, serie * 100);
            axChartfx1.set_Adm(def.CSA_GAP, 10*serie);

        }

        private void buttonLegend_Click(object sender, EventArgs e)
        {
            axChartfx1.Type = axChartfx1.Type | def.CT_LEGEND;
            axChartfx1.set_Legend(0, "P1");
            axChartfx1.set_Legend(1, "ab");
            axChartfx1.set_Legend(2, "xy");
            axChartfx1.set_Legend(3, "lngerer Text");
            axChartfx1.set_SerLeg(0, "Kurve 1");
            axChartfx1.set_SerLeg(1, "Kurve 2");

        }

        private void buttonTitle_Click(object sender, EventArgs e)
        {
            axChartfx1.set_Title(def.CHART_TOPTIT, "Top Header Title");
            axChartfx1.set_Title(def.CHART_RIGHTTIT,"Title Right side");
            axChartfx1.set_Title(def.CHART_BOTTOMTIT,"Bottom Title text");
            axChartfx1.set_Title(def.CHART_LEFTTIT, "Title text on the left side");
        }

        private void buttonSin_Click(object sender, EventArgs e)
        {
            buttonInit_Click(sender, e); // Call of Init- Button
            int i, nb = 100;
            axChartfx1.OpenDataEx(def.COD_VALUES, serie, nb);
            axChartfx1.OpenDataEx(def.COD_XVALUES, serie, nb);
            double x;
            axChartfx1.ThisSerie = (short)(serie - 1);
            for (i = 0; i < nb; i++)
            {
                x = 2 * Math.PI * i / (nb - 1);// x goes from 0 to 2 PI
                axChartfx1.set_XValue((short)i, x);
                axChartfx1.set_Value((short)i, Math.Sin(x*(1+0.1*serie)));
            }
            serie++;
            axChartfx1.CloseData(def.COD_VALUES);
            axChartfx1.CloseData(def.COD_XVALUES);
            axChartfx1.set_Adm(def.CSA_MIN, -1);
            axChartfx1.set_Adm(def.CSA_MAX, 1);
            axChartfx1.set_Adm(def.CSA_GAP, 0.1);
            axChartfx1.set_Adm(def.CSA_XMIN, 0);
            axChartfx1.set_Adm(def.CSA_XMAX, 7);
            axChartfx1.set_Adm(def.CSA_XGAP, 1);


        }
    }
}