﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Email
{
    public partial class FormSaveAddrList : Form
    {
        public FormSaveAddrList()
        {
            InitializeComponent();
            this.Owner = Form1.currentForm;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            this.Tag = 1;
            string name =textBoxAddrListName .Text ;
            if (name != "")
            {
                // eliminate space from the file name
                while (name.Substring(name.Length - 1, 1) == " ")
                {
                    name = name.Substring(0, name.Length - 1);
                }
                textBoxAddrListName.Text = name;
                Close();
            }
            else
                MessageBox.Show(Form1.currentForm.cannotempty, Form1.currentForm.Warning, MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Tag = 0;
            Close();
        }

        private void textBoxAddrListName_TextChanged(object sender, EventArgs e)
        {
            //make sure that no illegal characters in file name
            textBoxAddrListName.Text = Form1.clearfilename(textBoxAddrListName.Text);
        }

        private void FormSaveAddrList_Activated(object sender, EventArgs e)
        {
            this.Tag = 0;
            this.textBoxAddrListName.Focus();
        }
    }
}
